PX_READ_BLOBDATA(3)

NAME
PX_read_blobdata — Read blob from file (deprecated)

SYNOPSIS

#include <paradox.h>

char* PX_read_blobdata(pxblob_t *pxblob, const char *data, int len, int *mod_nr, int *blobsize)

DESCRIPTION

Reads blob data from the given blob document (.MB file) passed as the first parameter. data is the data stored in the blob field of the db file. len is the length of that field. The function hides everything needed for evaluating the field data. It can handle both single blob blocks and suballocated blocks.

This function is deprecated. Use
PX_set_blob_file(3)     and PX_get_data_blob(3)     or PX_get_data_graphic(3) instead.

RETURNS

Returns NULL in case of an error or a pointer to the blob data. mod_nr contains the modification number of the blob and blobsize contains the length of the blob data. The modification number can be used as a unique id for the blob.

AUTHOR

This manual page was written by Uwe Steinmann uwe@steinmann.cx.